#!/bin/sh

TAG_NAME=$1
DEPLOY_DATE=$2
KERNEL=$3

# Check if PROCESSOR and BOARD coincide
if [ "$PROCESSOR" = "$BOARD" ]; then
    board_suffix=""
else
    board_suffix="_$BOARD"
fi

export uboot_filename="seco_"$PROCESSOR""$board_suffix"_uboot-"$IMAGE_NAME"_"$KERNEL"_"$TAG_NAME"_"$DEPLOY_DATE".tar.gz"
export uboot_filename_latest="seco_"$PROCESSOR""$board_suffix"_uboot-"$IMAGE_NAME"_"$KERNEL"_latest.tar.gz"
export kernel_filename="seco_"$PROCESSOR""$board_suffix"_kernel-"$IMAGE_NAME"_"$KERNEL"_"$TAG_NAME"_"$DEPLOY_DATE".tar.gz"
export kernel_filename_latest="seco_"$PROCESSOR""$board_suffix"_kernel-"$IMAGE_NAME"_"$KERNEL"_latest.tar.gz"
export filesystem_name="seco_"$PROCESSOR""$board_suffix"_filesystem-"$IMAGE_NAME"_"$KERNEL"_"$TAG_NAME"_"$DEPLOY_DATE".tar.bz2"
export filesystem_name_latest="seco_"$PROCESSOR""$board_suffix"_filesystem-"$IMAGE_NAME"_"$KERNEL"_latest.tar.bz2"
export image_name="seco_"$PROCESSOR""$board_suffix"_"$IMAGE_NAME"_"$KERNEL"_"$TAG_NAME"_"$DEPLOY_DATE"."$IMAGE_EXTENSION""
export image_name_latest="seco_"$PROCESSOR""$board_suffix"_"$IMAGE_NAME"_"$KERNEL"_latest."$IMAGE_EXTENSION""
export bmap_name="seco_"$PROCESSOR""$board_suffix"_bmapfile-"$IMAGE_NAME"_"$KERNEL"_"$TAG_NAME"_"$DEPLOY_DATE".rootfs.wic.bmap"
export bmap_name_latest="seco_"$PROCESSOR""$board_suffix"_bmapfile-"$IMAGE_NAME"_"$KERNEL"_latest.rootfs.wic.bmap"
export bundle_filename="seco_"$PROCESSOR""$board_suffix"_edgehog-bundle_"$KERNEL"_"$TAG_NAME"_"$DEPLOY_DATE".raucb"
export bundle_filename_latest="seco_"$PROCESSOR""$board_suffix"_edgehog-bundle_"$KERNEL"_latest.raucb"