#!/bin/ash

AZURE_PATH=$1
TAG_NAME=$2                 
AZURE_STORAGE_SAS_TOKEN=$3
AZURE_CONTAINER_NAME=$4

cat Job_message.txt Job_message_*.txt > Job_message_edgehog_${TAG_NAME}.txt
cat Job_report_*.txt > Job_report_edgehog_${TAG_NAME}.txt
cat Link_report_*.txt > Link_report_edgehog_${TAG_NAME}.txt

cat changelog.md > Changelog_edgehog_${TAG_NAME}.md

sed -i -E 's/\"//g' Link_report_edgehog_${TAG_NAME}.txt

az storage blob upload --account-name $AZURE_STORAGE_ACCOUNT \
    --sas-token $AZURE_STORAGE_SAS_TOKEN \
    --container-name $AZURE_CONTAINER_NAME \
    --file Job_report_edgehog_${TAG_NAME}.txt \
    --name ${AZURE_PATH}/Job_report_edgehog_${TAG_NAME}.txt \
    --overwrite

az storage blob upload --account-name $AZURE_STORAGE_ACCOUNT \
    --sas-token $AZURE_STORAGE_SAS_TOKEN \
    --container-name $AZURE_CONTAINER_NAME \
    --file Link_report_edgehog_${TAG_NAME}.txt \
    --name ${AZURE_PATH}/Link_report_edgehog_${TAG_NAME}.txt \
    --overwrite

az storage blob upload --account-name $AZURE_STORAGE_ACCOUNT \
    --sas-token $AZURE_STORAGE_SAS_TOKEN \
    --container-name $AZURE_CONTAINER_NAME \
    --file Changelog_edgehog_${TAG_NAME}.md \
    --name ${AZURE_PATH}/Changelog_edgehog_${TAG_NAME}.md \
    --overwrite

cp .gitlab-ci/notification.json .
job_report="$(az storage blob url --container-name $AZURE_CONTAINER_NAME --name ${AZURE_PATH}/Job_report_edgehog_${TAG_NAME}.txt)"
job_report="$(echo $job_report | sed -E 's/\s.*$//')"
jq --arg job_var $job_report '.potentialAction[0].targets[0].uri = $job_var' notification.json >notification_1.json

link_report="$(az storage blob url --container-name $AZURE_CONTAINER_NAME --name ${AZURE_PATH}/Link_report_edgehog_${TAG_NAME}.txt)"
link_report="$(echo $link_report | sed -E 's/\s.*$//')"
jq --arg link_var $link_report '.potentialAction[1].targets[0].uri = $link_var' notification_1.json >notification_2.json

changelog_report="$(az storage blob url --container-name $AZURE_CONTAINER_NAME --name ${AZURE_PATH}/Changelog_edgehog_${TAG_NAME}.md)"
######################################ECHO N1##############################################
echo "$changelog_report"
changelog_report="$(echo $changelog_report | sed -E 's/\s.*$//')"
######################################ECHO N2##############################################
echo "$changelog_report"
jq --arg changelog_var $changelog_report '.potentialAction[2].targets[0].uri = $changelog_var' notification_2.json >notification_3.json
sed -i -E 's/\\"//g' notification_3.json
######################################ECHO N3##############################################
echo "$changelog_report"

jq --arg text "$(cat Job_message_edgehog_${TAG_NAME}.txt)" '.text = $text' notification_3.json >notification_4.json
sed -i -E 's/\\n/ \\n\\n /g' notification_4.json

curl -X POST -H "Content-Type: application/json" --data @notification_4.json $WEBHOOK

cp Link_report_edgehog_${TAG_NAME}.txt Link_report.txt
sed -i 's/\"//g' Link_report.txt

echo "${changelog_report#?}" | cut -f1 -d"?" >changelog_link.txt
######################################ECHO N4##############################################
echo "$changelog_report"
